<div class="page-header">
  <h1>
    Seguidor de Series
  </h1>
</div>

<div ng-controller="SeguidorDeSeriesController as app">
  <div class="row">
    <div class="col-sm-8">
    
      <div class="well-lg">
      <div>
      
      <form role="search">
        <div class="input-group">
          <input ng-model="app.textoBusqueda" type="text" class="form-control" placeholder="Nombre">
          
          <div class="input-group-btn">
            <button type="submit" class="btn btn-default" ng-click="app.buscar()">
              Buscar
            </button>
          </div>
        </div>
      </form>
      
      <table class="table table-striped table-hover">
        <thead>
          <tr>
          <th>Nombre</th>
          <th>Temporada</th>
          <th>Estado</th>
          </tr>
        </thead>
        <tbody>
          <tr ng-repeat="serie in app.series | filter:app.filtroActual" ng-click="app.mostrar(serie)">
            <td>{{serie.nombre}}</td>
            <td>{{serie.temporada}}</td>
            <td>{{serie.estado}}</td>
          </tr>
        </tbody>
      </table>
      
      </div>
      </div>
    </div>
    
    <div class="col-sm-4" ng-show="app.haySeleccionada()">
    
      <h1>Titulo: {{app.serieSeleccionada.nombre}}</h1> 
      <h3>Temporadas: {{app.serieSeleccionada.temporada}}</h3> 
      <h3>Estado: {{app.serieSeleccionada.estado}}</h3>
      
      <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
      
      <div class="btn-toolbar">
        <button type="button" class="btn btn-default col-sm-3" ng-disabled="!app.haySeleccionada()" ng-click="app.cambiarAVista(app.serieSeleccionada)">Vista</button>
        <button type="button" class="btn btn-default col-sm-3" ng-disabled="!app.haySeleccionada()" ng-click="app.cambiarAMirando(app.serieSeleccionada)">Mirando</button>
        <button type="button" class="btn btn-default col-sm-3" ng-disabled="!app.haySeleccionada()" ng-click="app.cambiarAPendiente(app.serieSeleccionada)">Pendiente</button>
      </div>
	  
    </div>
  
  </div>
</div>
